Add a UWaaS Signing Key
post
/v1/governance/uwaas-key
Adds the specified blockchain address as a UWaaS signing key through a governance transaction submitted by `fromAddress`.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
async: boolean
Default Value:
false -
fromAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
key(required): string
Pattern:
^0x[a-fA-F0-9]{40}$
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Transaction receipt confirmed
Root Schema : SyncGovernanceResponse
Type:
Show Source
object-
status(required): string
Allowed Values:
[ "confirmed" ] -
success(required): boolean
-
txHash(required): string
202 Response
Transaction submitted or receipt not yet available
Root Schema : AsyncGovernanceResponse
Type:
Show Source
object-
status(required): string
Allowed Values:
[ "submitted" ] -
txHash(required): string
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.